import request from '@/utils/request'

export function queryDutyPostPage(params) {
  return request({
    url: '/dutyPost/page',
    method: 'get',
    params
  })
}
export function dutyPost(data) {
  return request({
    url: '/dutyPost',
    method: 'post',
    data
  })
}

export function queryProductLine() {
  return request({
    url: '/productLine/enableList',
    method: 'get'
  })
}

export function getTataLineProcess(params) {
  return request({
    url: '/tataLineProcess/enableList',
    method: 'get',
    params
  })
}

export function getdutyPost(id) {
  return request({
    url: '/dutyPost/' + id,
    method: 'get'
  })
}
export function putDutyPost(data) {
  return request({
    url: '/dutyPost',
    method: 'put',
    data
  })
}
export function deleteDutyPost(data) {
  return request({
    url: '/dutyPost',
    method: 'delete',
    data
  })
}
export function putStatus(params) {
  return request({
    url: '/dutyPost/status',
    method: 'put',
    params
  })
}
// /dutyPost/status
